WRU(8)

NAME
wru - ICMPv6 node information queries client

SYNOPSIS
wru [-1Amv] [-a addrtype] [-c count] [-i interval] [-z zone] [host]

DESCRIPTION
wru uses the ICMPv6 node information queries to collect information on a target host. Available information is the host's name and its IPv6 addresses.

When host is omitted, wru sends the query packets to the all-nodes link-local address (ff02::1). In this case the link zone is determined as follows: If the zone is specified by the -z option, the zone is used. If the default interface is set via the ndp(8) command, the interface is used. Otherwise, if the IPv6 default route is installed in the kernel, the outgoing interface of the entry is used.

Available options are as follows:

-1  specifies to wait only for a single reply for a query to a destination address of the host, even if the address is multicast. This option is exclusive with the -m option.

-A  specifies to try all addresses of the target host, even after a successful reply is received.

-a addrtype
    Generate Node Addresses queries. addrtype must be a string constructed of the following characters.
    a   requests unicast addresses from all of the responder's interfaces. If the character is omitted, only those addresses which belong to the interface which has the responder's address are requests.
    c   requests responder's IPv4-compatible and IPv4-mapped addresses.
    g   requests responder's global-scope addresses.
    s   requests responder's site-local addresses.
    l   requests responder's link-local addresses.
    A   requests responder's anycast addresses. Without this character, the responder will return unicast addresses only. With this character, the responder will return anycast addresses only. Note that the specification does not specify how to get responder's anycast addresses. This is an experimental option.

-c count
    specifies the number of queries for each address of the target host. The default value is 1.

-i interval
    specifies the interval in seconds that wru waits for a reply against a single query. The default value is 1.

-m  specifies to wait for a multiple replies for a query to a destination address of the host until the wait interval expires, even after a successful reply is received. This option is exclusive with the -1 option.

-v  requires verbose output.

-z zone
    specifies the zone of the destination. This option is typically used when the target host is omitted and the default interface is unknown or undesirable. When the outgoing host is specified, this option assumes it is a numeric address.

RETURN VALUES
wru returns 0 on success (the host is alive), and non-zero if the arguments are incorrect or the host is not responding.

SEE ALSO
ping6(8), icmp6(4), inet6(4), ip6(4), ping(8), ndp(8) Matt Crawford, IPv6 Node Information Queries, draft-ietf-ipngwg-icmp-name-lookups-09.txt, May 2002, work in progress material.

HISTORY
The wru command first appeared in the WIDE/KAME IPv6 protocol stack kit. It was based on the ping6 command in the kit, and some part of the wru implementation was just derived from the ping6 code.